Index: asterisk-11.8.0/channels/chan_sip.c
===================================================================
--- ./channels/chan_sip.c	2014-03-04 10:53:45.000000000 +0000
+++ ./channels/chan_sip.c	2014-03-04 10:57:24.000000000 +0000
@@ -4435,9 +4435,6 @@
 		}
 	}
 
-	/* Reset schedule ID */
-	p->autokillid = -1;
-
 	/*
 	 * Lock both the pvt and the channel safely so that we can queue up a frame.
 	 */
@@ -4449,7 +4446,12 @@
 		ast_channel_unref(owner);
 		sip_pvt_unlock(p);
 		return 10000;
-	} else if (p->refer && !p->alreadygone) {
+	}
+
+	/* Reset schedule ID */
+	p->autokillid = -1;
+
+	if (p->refer && !p->alreadygone) {
 		ast_debug(3, "Finally hanging up channel after transfer: %s\n", p->callid);
 		stop_media_flows(p);
 		transmit_request_with_auth(p, SIP_BYE, 0, XMIT_RELIABLE, 1);
